<?
include_once '../../../sys/inc/start.php';
include_once '../../../sys/inc/compress.php';
include_once '../../../sys/inc/sess.php';
include_once '../../../sys/inc/home.php';
include_once '../../../sys/inc/settings.php';
include_once '../../../sys/inc/db_connect.php';
include_once '../../../sys/inc/ipua.php';
include_once '../../../sys/inc/fnc.php';
include_once '../../../sys/inc/adm_check.php';
include_once '../../../sys/inc/user.php';

$set['title'] = 'ТОП Рейтинг';
include_once '../../../sys/inc/thead.php';
title();
err();
aut();

echo '<div class="foot">';
echo '<a href="/plugins/games/index.php">Онлайн игры</a> | <a href="/plugins/games/zagon/">Скотный двор</a> | <b>ТОП 10 участников</b>';
echo '</div>';

echo '<div class="mess">';
echo 'Тут отображаются 10 человек, поймавшие самое большее колличество добыч!';
echo '</div>';

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `user` LEFT JOIN `zagon` ON `zagon`.`id_user` = `user`.`id` WHERE `zagon`.`id_user`"),0);

$q = mysql_query("SELECT * FROM `user` ORDER BY zagon_stat DESC LIMIT 10");

if ($k_post == 0)
{
	echo '<div class="mess">';
	echo 'Еще никто не учавствовал в игре';
	echo '</div>';
}

$star = 0;

while ($ank = mysql_fetch_assoc($q))
{
	
	$star++;
	
	
	// Лесенка дивов
	if ($num == 0)
	{
		echo '<div class="nav1">';
		$num = 1;
	}
	elseif ($num == 1)
	{
		echo '<div class="nav2">';
		$num = 0;
	}
	
	if ($star == 1)
	echo '<b style="color:blue">' . $star . ' место занимает</b> ';
	elseif ($star == 2)
	echo '<b style="color:green">' . $star . ' место занимает</b> ';
	elseif ($star == 3)
	echo '<b style="color:black">' . $star . ' место занимает</b> ';
	else
	echo $star . ' место занимает ';
	
	echo group($ank['id']);
	
	echo '<a href="/info.php?id=' . $ank['id'] . '">' . $ank['nick'] . '</a> ';
	
	echo medal($ank['id']) . online($ank['id']) . '<br />';
	
	echo 'Поймал' . ($ank['pol'] == 0 ? 'а' : null) . ' (' . mysql_result(mysql_query("SELECT COUNT(*) FROM `zagon` WHERE `id_user` = '$ank[id]'"),0) . ' животных)';
	
	echo '</div>';
}


echo '<div class="foot">';
echo '<a href="/plugins/games/index.php">Онлайн игры</a> | <a href="/plugins/games/zagon/">Скотный двор</a> | <b>ТОП 10 участников</b>';
echo '</div>';

include_once '../../../sys/inc/tfoot.php';
?>